GNU bug report logs - #44809
Say "Consider switching so-long mode on" when detecting long line files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; merged with #44818; dated Mon, 23 Nov 2020 01:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to 'Say "Consider switching so-long mode on" when detecting long line files' from 'One very long line of <中文> XML tags puts emacs out of business' Request was from 積丹尼 Dan Jacobson <jidanni@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44809 <at> debbugs.gnu.org:


Received: (at 44809) by debbugs.gnu.org; 27 Nov 2020 21:47:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 27 16:47:16 2020
Received: from localhost ([127.0.0.1]:46387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kilaG-0007Nv-1P
	for submit <at> debbugs.gnu.org; Fri, 27 Nov 2020 16:47:16 -0500
Received: from bee.birch.relay.mailchannels.net ([23.83.209.14]:23371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>)
 id 1kilaD-0007Ni-76; Fri, 27 Nov 2020 16:47:15 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id C31AC322FCE;
 Fri, 27 Nov 2020 21:47:11 +0000 (UTC)
Received: from pdx1-sub0-mail-a59.g.dreamhost.com
 (100-100-138-54.trex.outbound.svc.cluster.local [100.100.138.54])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 2BFAE3212A5;
 Fri, 27 Nov 2020 21:47:11 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a59.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.10); Fri, 27 Nov 2020 21:47:11 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Imminent-Arch: 386633f94d213343_1606513631608_52817789
X-MC-Loop-Signature: 1606513631608:626370250
X-MC-Ingress-Time: 1606513631603
Received: from pdx1-sub0-mail-a59.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a59.g.dreamhost.com (Postfix) with ESMTP id D7BBE7F00A;
 Fri, 27 Nov 2020 13:47:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=zOgLJ1tunUcrTmIlwclV4pVz+QE=; b=IPKpjBagr43HO
 KxtGhogDZ8TcOzCpq3AKXQw4wTvW4lTVyu5LdobFMTty+9Cmg0eNSftpRjYMrt8d
 AfDy8TjIzIGoQsVyZkggSkbTbhWBAy0c4+wSIoovC5XhKE3pZGLj0Z7Xp4CCBzUq
 aabsA9IJoafJvbPstdZbngdbkr2tcA=
Received: from jidanni.org (114-41-34-173.dynamic-ip.hinet.net [114.41.34.173])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a59.g.dreamhost.com (Postfix) with ESMTPSA id 2E1CA7EDBD;
 Fri, 27 Nov 2020 13:47:10 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a59
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44809: Warn that current file needs so-long mode
References: <877dqcdgtq.5.fsf@HIDDEN> <871rgj9qul.fsf@HIDDEN>
Date: Sat, 28 Nov 2020 03:43:25 +0800
Message-ID: <87ft4ud1r6.5.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44809
Cc: control <at> debbugs.gnu.org, 44809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 44809 Say "Consider switching so-long mode on" when detecting long line files
thanks

>>>>> "LI" == Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Before long one can only put it out of its misery with
>> $ killall -1 emacs.

LI> Yes, this is a general Emacs problem.  Consider switching so-long mode
LI> on.

OK. SO LONG as emacs also says that automatically,
when detecting such files.
Else the user will never know.
And ends up reporting more bugs than necessary.

Then at least the user will know something is up and won't try ESC >
etc. locking up emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44809; Package emacs. Full text available.

Message received at 44809 <at> debbugs.gnu.org:


Received: (at 44809) by debbugs.gnu.org; 24 Nov 2020 07:07:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 02:07:33 2020
Received: from localhost ([127.0.0.1]:55967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khSQH-0007Yn-1C
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 02:07:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1khSOp-0007Le-PT
 for 44809 <at> debbugs.gnu.org; Tue, 24 Nov 2020 02:06:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=3HzOKWm77z/fG3WUQpdn0xMRQhpWHK2+9EhkR74cGkI=; b=mh5OD3Jx4gOsJ8CA4w2/B0ZCYX
 vDAX4d4g3+10ibftbdQrQIaqac4+8iCaMmBUVPZBGJBwVwwKPa68GS73jwGyjUIQMc6O7i8BkwYNc
 e2OfJg5k3cqJgCEZibeMZdUnchky/PsXfFn/DUUsJRcR4ow/Jh9A/24Gya8K5HBom0M8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1khSOh-0000dJ-9p; Tue, 24 Nov 2020 08:05:57 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#44809: One very long line of =?utf-8?B?POS4reaWhz4=?= XML
 tags puts emacs out of business
References: <877dqcdgtq.5.fsf@HIDDEN>
X-Now-Playing: The Specials's _The Specials_: "Doesn't Make It Alright"
Date: Tue, 24 Nov 2020 08:05:54 +0100
In-Reply-To: <877dqcdgtq.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Mon, 23 Nov 2020 09:04:17 +0800")
Message-ID: <871rgj9qul.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > Before
    long one can only put it out of its misery with > $ killall -1 emacs. Yes,
    this is a general Emacs problem. Consider switching so-long mode on. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44809
Cc: 44809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> Before long one can only put it out of its misery with
> $ killall -1 emacs.

Yes, this is a general Emacs problem.  Consider switching so-long mode
on.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44809; Package emacs. Full text available.
Forcibly Merged 44809 44818. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2020 01:04:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 22 20:04:32 2020
Received: from localhost ([127.0.0.1]:48584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kh0HP-00075v-Nt
	for submit <at> debbugs.gnu.org; Sun, 22 Nov 2020 20:04:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:55238)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1kh0HM-00075i-V1
 for submit <at> debbugs.gnu.org; Sun, 22 Nov 2020 20:04:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55910)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1kh0HM-0004JP-J5
 for bug-gnu-emacs@HIDDEN; Sun, 22 Nov 2020 20:04:28 -0500
Received: from dog.birch.relay.mailchannels.net ([23.83.209.48]:3574)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1kh0HK-0005LK-B5
 for bug-gnu-emacs@HIDDEN; Sun, 22 Nov 2020 20:04:28 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 58A8C5A0941
 for <bug-gnu-emacs@HIDDEN>; Mon, 23 Nov 2020 01:04:22 +0000 (UTC)
Received: from pdx1-sub0-mail-a100.g.dreamhost.com
 (100-100-138-38.trex.outbound.svc.cluster.local [100.100.138.38])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id DC0395A0902
 for <bug-gnu-emacs@HIDDEN>; Mon, 23 Nov 2020 01:04:21 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a100.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.10); Mon, 23 Nov 2020 01:04:22 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Stretch-Madly: 2aeacdcb470cf0f9_1606093462156_4101001660
X-MC-Loop-Signature: 1606093462156:1675044599
X-MC-Ingress-Time: 1606093462156
Received: from pdx1-sub0-mail-a100.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a100.g.dreamhost.com (Postfix) with ESMTP id 990757E504
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Nov 2020 17:04:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=c4IOCjjCYCvTiB61rf
 XDmIpdTCc=; b=Ny9X0mVobULnUSBu+X8l2tTMjj0Ofcz/84km3vzLm6PG4Pl6FE
 ZC6JQj15qMLqvEqLrNrURmXXuHX6Fcaqgy7AVl9lpc6BRFUPqjBcd4zZZ89r6T8P
 kyn1pRNg5DDzU1vwBU/1mGOH4rpCpmH6ShUMKBXaMACItSwSdk5zq/Nmw=
Received: from jidanni.org (114-26-44-91.dynamic-ip.hinet.net [114.26.44.91])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a100.g.dreamhost.com (Postfix) with ESMTPSA id 4EADA7E503
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Nov 2020 17:04:21 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a100
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: One very long line of =?utf-8?B?POS4reaWhz4=?= XML tags puts emacs
 out of business
Date: Mon, 23 Nov 2020 09:04:17 +0800
Message-ID: <877dqcdgtq.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=23.83.209.48; envelope-from=jidanni@HIDDEN;
 helo=dog.birch.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

1. Visit https://data.gov.tw/dataset/34315 .
2. Download e.g., B=E8=87=BA=E4=B8=AD=E5=B8=82 .
3. Unzip, and open one of the more whopping XML files,

$ ls -ogS Downloads/B_XML/ | head -n 5
-rw-r--r-- 1 3091875 2020-04-13  b_4602.xml
-rw-r--r-- 1 3087978 2020-04-13  b_0755.xml
-rw-r--r-- 1 2874539 2020-04-13  b_5709.xml
-rw-r--r-- 1 2829385 2020-04-13  b_0530.xml

Press M-> [end-of-buffer]. Now press M-<.

You'll see the combination of one very long line, UTF-8 tags (<=E5=9C=8B=E6=
=9C=89>),
etc. causes emacs to, well, only be able to process C-g's and beep.

Before long one can only put it out of its misery with
$ killall -1 emacs.
emacs-version "27.1"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44809; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 27 Nov 2020 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.